Bug 981180 - Cross-arch upgrade is allowed and "bricks" the machine
Cross-arch upgrade is allowed and "bricks" the machine
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 04:23 EDT by Kamil Páral
Modified: 2013-12-22 00:34 EST (History)
2 users (show)

See Also:
Fixed In Version: fedup-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:22:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot error after upgrade (2.91 KB, image/png)
2013-07-04 04:23 EDT, Kamil Páral
no flags Details
fedup.log (115.49 KB, text/plain)
2013-07-04 04:27 EDT, Kamil Páral
no flags Details
upgrade.log (124.97 KB, text/plain)
2013-07-04 04:27 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2013-07-04 04:23:17 EDT
Created attachment 768634 [details]
boot error after upgrade

Description of problem:
This is a follow-up of bug 798691. Anaconda no longer performs upgrades, but fedup does. I tried the same approach:

1. install F18 Live i686
2. insert F19 DVD x86_64 *by mistake*
3. run "fedup --device" and upgrade

180 packages were upgraded (I assume all noarch ones), the rest was left intact. The end result is a non-booting system due to:

"Failed to load SELinux policy. Freezing."

Providing selinux=0 helps to boot and the system seems at least basically functional (firefox and terminal works).

We should really guard our users from mistakes that can render their system non-functional, even though we might consider it "their fault". We need to increase our software's reliability.

How can fedup warn the user about possible problems? Ideas:
1. check whether --device contains the same architecture repository as is the installed system, and refuse to continue or at least print a big fat warning in that case
2. if there are any packages that wouldn't be upgraded using the chosen update method, print a warning a provide their list somewhere. If the number of not-to-be-upgraded packages is substantial when compared to installed packages, make the warning stronger.


Version-Release number of selected component (if applicable):
fedup-0.7.3-4.fc18

How reproducible:
always

Steps to Reproduce:
1. install F18 Live i686
2. insert F19 DVD x86_64 *by mistake*
3. run "fedup --device" and upgrade

Actual results:
upgrade is performed and system is rendered nonfunctional

Expected results:
upgrade is refused or the user is very clearly warned that something is wrong and what the outcomes may be
Comment 1 Kamil Páral 2013-07-04 04:27:21 EDT
Created attachment 768636 [details]
fedup.log
Comment 2 Kamil Páral 2013-07-04 04:27:26 EDT
Created attachment 768637 [details]
upgrade.log
Comment 3 Will Woods 2013-12-06 13:56:24 EST
This should be fixed in 0.8.0:

  https://github.com/wgwoods/fedup/commit/5137d50
Comment 4 Fedora Update System 2013-12-11 17:12:21 EST
fedup-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc19
Comment 5 Fedora Update System 2013-12-11 17:20:35 EST
fedup-0.8.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc20
Comment 6 Fedora Update System 2013-12-11 17:22:23 EST
fedup-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc18
Comment 7 Fedora Update System 2013-12-13 00:09:48 EST
Package fedup-0.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23316/fedup-0.8.0-3.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-12-19 02:22:17 EST
fedup-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-12-19 20:44:40 EST
fedup-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-12-22 00:34:48 EST
fedup-0.8.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.